<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__smif__erase__type__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_smif_erase_type_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__smif__erase__type__t_1a57fe1554a80562f189bd4b7c168f60ad" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_smif_erase_type_t::eraseCmd</definition>
        <argsstring />
        <name>eraseCmd</name>
        <briefdescription>
<para>The instruction used for erase transaction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smif_memslot.c" bodystart="195" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smif_memslot.c" line="195" />
      </memberdef>
      <memberdef id="structcy__stc__smif__erase__type__t_1a7f95cf67a58b65911abfefe210b4c5d8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_erase_type_t::eraseSize</definition>
        <argsstring />
        <name>eraseSize</name>
        <briefdescription>
<para>The number of bytes to be erased at one erase transaction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smif_memslot.c" bodystart="196" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smif_memslot.c" line="196" />
      </memberdef>
      <memberdef id="structcy__stc__smif__erase__type__t_1aa9b5d65cc7a97c107374dcfef5466cda" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_erase_type_t::eraseTime</definition>
        <argsstring />
        <name>eraseTime</name>
        <briefdescription>
<para>The maximum erase time for one erase transaction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smif_memslot.c" bodystart="197" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smif_memslot.c" line="197" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This internal structure is used to store data for erase types. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="198" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smif_memslot.c" bodystart="193" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smif_memslot.c" line="194" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__smif__erase__type__t_1a57fe1554a80562f189bd4b7c168f60ad" virt="non-virtual"><scope>cy_stc_smif_erase_type_t</scope><name>eraseCmd</name></member>
      <member prot="public" refid="structcy__stc__smif__erase__type__t_1a7f95cf67a58b65911abfefe210b4c5d8" virt="non-virtual"><scope>cy_stc_smif_erase_type_t</scope><name>eraseSize</name></member>
      <member prot="public" refid="structcy__stc__smif__erase__type__t_1aa9b5d65cc7a97c107374dcfef5466cda" virt="non-virtual"><scope>cy_stc_smif_erase_type_t</scope><name>eraseTime</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>